org.oorexx.handlers.jdor

## Class JavaDrawingHandler

- java.lang.Object
- - org.oorexx.handlers.jdor.JavaDrawingHandler

- All Implemented Interfaces:
    RexxCommandHandler, RexxHandler, RexxRedirectingCommandHandler

      public class JavaDrawingHandler
      extends java.lang.Object
      implements RexxRedirectingCommandHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `bUseInt4numbers`
    `boolean` | `bUseNames4canonical`
    `static java.lang.String` | `version`

    - ### Fields inherited from interface org.rexxla.bsf.engines.rexx.RexxRedirectingCommandHandler

      `ARE_OUTPUT_AND_ERROR_SAME_TARGET, IS_ERROR_REDIRECTED, IS_INPUT_REDIRECTED, IS_OUTPUT_REDIRECTED, IS_REDIRECTION_REQUESTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaDrawingHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkBooleanValue(java.lang.String value)` Allow "1", ".true", "true" in any case to resolve to a boolean true; allow "0", ".false", "false" in any case to resolve to a boolean false;
    `static boolean` | `getBooleanValue(java.lang.String value)` Determines the boolean value of a BSF4ooRexx850 boolean string and returns it.
    `static java.lang.String[]` | `getNonBlankWords(java.lang.String s, java.util.ArrayList<int[]> al)` This will create a word array from the supplied ArrayList returned by getWordBoundaries.
    `static java.util.ArrayList<int[]>` | `getWordBoundaries(java.lang.String s, int maxNumberOfWords)` Parses the string and returns an ArrayList of int[] denoting the start and the end of each word in the string delimited by ' ' or '\t' the Rexx whitespace characters.
    `java.lang.Object` | `handleCommand(java.lang.Object slot, java.lang.String address, java.lang.String command)` Callback method of this command handler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.rexxla.bsf.engines.rexx.RexxRedirectingCommandHandler

      `areOutputAndErrorSameTarget, isErrorRedirected, isInputRedirected, isOutputRedirected, isRedirectable, isRedirectionRequested, readInput, readInputAsByteArray, readInputBuffer, toString, writeError, writeError, writeErrorBuffer, writeOutput, writeOutput, writeOutputBuffer`

    - ### Methods inherited from interface org.rexxla.bsf.engines.rexx.RexxHandler

      `checkCondition, clearCondition, dropContextVariable, getAllContextVariables, getCallerContext, getConditionInfo, getContextVariable, getGlobalEnvironment, getInterpreterVersion, getLanguageLevel, getLocalEnvironment, getNil, haltThread, newArray, newDirectory, newStem, newStringTable, raiseCondition, raiseException, raiseException0, raiseException1, raiseException2, setContextVariable, setContextVariableToNil, setThreadTrace`

- - ### Field Detail

    - #### version

          public static final java.lang.String version

      See Also:
        Constant Field Values

    - #### bUseNames4canonical

          public boolean bUseNames4canonical

    - #### bUseInt4numbers

          public boolean bUseInt4numbers

  - ### Constructor Detail

    - #### JavaDrawingHandler

          public JavaDrawingHandler()

  - ### Method Detail

    - #### handleCommand

          public java.lang.Object handleCommand(java.lang.Object slot,
                                                java.lang.String address,
                                                java.lang.String command)

      Callback method of this command handler.
      Specified by:
        `handleCommand` in interface `RexxCommandHandler`
      Parameters:
        `slot` - opaque argument (needs to be used if invoking the Handler default methods to interact with the Rexx context)
        `address` - the environment name this handler works for
        `command` - the command to process
      Returns:
        any value, which can be retrieved on the Rexx side via the variable `RC` (result code)

    - #### getNonBlankWords

          public static java.lang.String[] getNonBlankWords(java.lang.String s,
                                                            java.util.ArrayList<int[]> al)

      This will create a word array from the supplied ArrayList returned by getWordBoundaries.
      Parameters:
        `s` - String
        `al` - ArrayList returned by getWordBoundaries
      Returns:
        array of words

    - #### getWordBoundaries

          public static java.util.ArrayList<int[]> getWordBoundaries(java.lang.String s,
                                                                     int maxNumberOfWords)

      Parses the string and returns an ArrayList of int[] denoting the start and the end of each word in the string delimited by ' ' or '\t' the Rexx whitespace characters.
      Parameters:
        `s` - the string to parse
        `maxNumberOfWords` - if -1 processes always entire string, otherwise stops after having created maxNumberOfWords items
      Returns:
        an ArrayList of int[] arrays

    - #### checkBooleanValue

          public static boolean checkBooleanValue(java.lang.String value)

      Allow "1", ".true", "true" in any case to resolve to a boolean true; allow "0", ".false", "false" in any case to resolve to a boolean false;
      Parameters:
        `value` - the string that represents a BSF4ooRexx850 boolean value
      Returns:
        true if string represents true, false else

    - #### getBooleanValue

          public static boolean getBooleanValue(java.lang.String value)

      Determines the boolean value of a BSF4ooRexx850 boolean string and returns it.
      Parameters:
        `value` - the string containing a BSF4ooRexx850 boolean rendering
      Returns:
        true if "1", ".TRUE", "TRUE" and false else